Перейти к содержимому
R-Service R-Service
Руководство разработчика RR Tech Service Management

Service Level Agreements - Effort Class Rate IDs API

Эта документация пока недоступна на вашем языке, поэтому показана английская версия.

This API works only for service level agreements where you have the Financial Manager role in that account.

List all effort class rate IDs of a service level agreement with a specific ID.

GET /slas/:id/effort_class_rateids

Status: 200 OK
[
{
"id": 97,
"nodeID": "...",
"rateID": "rate-identifier",
"effort_class": {
"id": 10,
"name": "Billable Project Management - Business Hours",
"account": {
"id": "pro-product",
"name": "Widget International"
},
"nodeID": "..."
}
}
]

Add an effort class rate ID to a service offering with a specific ID.

POST /slas/:id/effort_class_rateids

When creating a new effort class rate ID for a service level agreement these fields are available.

Status: 200 OK
{
"rateID": "rate-123",
"effort_class": {
"id": 10,
"name": "Billable Project Management - Business Hours",
"account": {
"id": "pro-product",
"name": "Widget International"
},
"nodeID": "..."
},
"id": 100,
"nodeID": "..."
}

Update an effort class rate ID with a specific ID of a service level agreement with a specific ID.

PATCH /slas/:id/effort_class_rateids/:effort_class_rateID_id

When updating an existing effort class rate ID for a service level agreement these fields are available.

Status: 200 OK
{
"rateID": "rate-123",
"effort_class": {
"id": 10,
"name": "Billable Project Management - Business Hours",
"account": {
"id": "pro-product",
"name": "Widget International"
},
"nodeID": "..."
},
"id": 100,
"nodeID": "..."
}

Remove an effort class rate ID with a specific ID from a service level agreement with a specific ID.

DELETE /slas/:id/effort_class_rateids/:effort_class_rateID_id

Status: 204 No Content

id

Readonly integer — The unique ID of the effort class rate ID.

rateID

Required string — The Rate ID is the unique identifier by which an effort class that is linked to a time entry when an activity was performed through the coverage of the SLA is known in the billing system of the service provider.

effort_class

Required reference to Effort class — The ID of the effort class related to the effort class rate ID.